Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Jan 2024 19:02:50 -0500

> It solves some things (that are already solved anyway).  But I think the
> downsides are also in plain sight.  It doesn't solve common problems
> in Eglot and Markdown-mode.

It's not designed to solve all problems.

[ The needs of Markdown-mode are different from those targeted by the
  current bug.  They're are of the form "find mode for type", as
  addressed by things like `major-mode-remap-alist`, whereas the current
  bug is about classifying modes.  ]

> We have boring old 4-legged chairs readily available (base modes) and
> we can think of more elegant chairs.  What do you think of Dmitry's patch?

I answered in the email to which your above email replied.

        Stefan